# ExcludesNameEntry

Class for holding nested excludes elements (file, class, method).

package | phing.types
author | Benjamin Schultz bschultz@proqrent.de
version | $Id: 63ab78ae0c05fe95b19878434bce454ce8d82a97 $
since | 2.4.6

### Methods

## An alias for the setName() method.

    addText(string $pattern)

Set the name of a file pattern.

see | \ExcludesNameEntry::setName()

### Arguments

#### $pattern

`string`

The file pattern

## Get the name of a file, class or method or the file pattern

    getName() : string

### Response

`string`

The name of a file, class or method or the file pattern

## Set the name of a file, class or method

    setName(string $name)

### Arguments

#### $name

`string`

## Gets a string representation of this name or pattern.

    toString() : string

### Response

`string`

### Properties

## Holds the name of a file, class or method or a file pattern

    name : string

var |

### Type(s)

`string`